Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003317Zandronum[All Projects] Bugpublic2017-10-28 01:522017-12-10 18:25
ReporterLeonard 
Assigned ToLeonard 
PrioritynormalSeveritymajorReproducibilityalways
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version3.0 
Target Version3.1Fixed in Version 
Summary0003317: Gametic-based unlagged does not respect cl_ticsperupdate
Description
Quote from Watermelon
- Takes into account cl_ticsperupdate
The user can change their ticsperupdate at any time and it will work just as it should. This is due to it being bundled with the movelocalplayer command, the client gets the server gametic as needed.

Turns out this is not true.
Steps To ReproduceUsing the test wad and the debug commit referenced in 0002859:0018627:
-host a server on MAP01 with sv_unlagged_debugactors true
-connect and join 2 clients
-turn cl_capfps on (this will make it much easier to see what's going on)
-change cl_ticsperupdate to 2 or 3
-notice the gametic debug actor rapidly jitters
-you may also try to hit (provided 0003316 is fixed at the time) and you will find that hitting your target is very difficult
Additional InformationThis is because the clients re-send the same server tic 2 or 3 times (depanding on the setting) since they receive no updates in the meantime.
Attached Files

- Relationships
parent of 0002859assignedLeonard Gametic-based unlagged seemingly goes out of sync often compared to ping-based unlagged 
child of 0001705resolvedWatermelon Gametic-based unlagged 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0018919)
Leonard (developer)
2017-11-26 17:59

PR.
User avatar (0018946)
Torr Samaho (administrator)
2017-12-10 18:25

I added your patch.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-10-28 01:52 Leonard New Issue
2017-10-28 01:52 Leonard Status new => assigned
2017-10-28 01:52 Leonard Assigned To => Leonard
2017-10-28 01:58 Leonard Additional Information Updated View Revisions
2017-10-28 02:07 Leonard Relationship added child of 0001705
2017-11-08 00:59 Leonard Relationship added parent of 0002859
2017-11-26 17:59 Leonard Note Added: 0018919
2017-11-26 17:59 Leonard Status assigned => needs review
2017-12-10 18:25 Torr Samaho Note Added: 0018946
2017-12-10 18:25 Torr Samaho Status needs review => needs testing






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker